Bug 186838 - [WPE][GTK] ASSERTION FAILED: url == m_string in UserAgentQuirks test
Summary: [WPE][GTK] ASSERTION FAILED: url == m_string in UserAgentQuirks test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-20 01:27 PDT by Rob Buis
Modified: 2018-07-02 00:49 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.56 KB, patch)
2018-06-20 01:38 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (1.58 KB, patch)
2018-07-01 12:44 PDT, Rob Buis
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.90 MB, application/zip)
2018-07-01 15:59 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2018-06-20 01:27:53 PDT
ASSERTION FAILED: url == m_string
../../Source/WebCore/platform/URL.cpp(101) : WebCore::URL::URL(WebCore::ParsedURLStringTag, const WTF::String&)
1   0x581c541 WebKitBuild/Debug/bin/TestWebKitAPI/WebCore/TestWebCore(WTFCrash+0x9) [0x581c541]
2   0x797297b WebKitBuild/Debug/bin/TestWebKitAPI/WebCore/TestWebCore(_ZN7WebCore3URLC1ENS_18ParsedURLStringTagERKN3WTF6StringE+0x103) [0x797297b]
3   0x58121f9 WebKitBuild/Debug/bin/TestWebKitAPI/WebCore/TestWebCore() [0x58121f9]
4   0x5813490 WebKitBuild/Debug/bin/TestWebKitAPI/WebCore/TestWebCore(_ZN13TestWebKitAPI25UserAgentTest_Quirks_Test8TestBodyEv+0x166) [0x5813490]
Comment 1 Rob Buis 2018-06-20 01:38:13 PDT
Created attachment 343142 [details]
Patch
Comment 2 Frédéric Wang (:fredw) 2018-06-20 02:05:16 PDT
Comment on attachment 343142 [details]
Patch

OK, I think the slash is not important in the test for user agent quirks and other URLs use it, so let's do it. The core issue seems to be bug 167093 though, it would be nice to fix it at some point...
Comment 3 Frédéric Wang (:fredw) 2018-06-20 02:40:42 PDT
(In reply to Frédéric Wang (:fredw) from comment #2)
> Comment on attachment 343142 [details]
> Patch
> 
> OK, I think the slash is not important in the test for user agent quirks and
> other URLs use it, so let's do it. The core issue seems to be bug 167093
> though, it would be nice to fix it at some point...

Actually per bug 167093 comment 3, it is wrong to pass a non-canonicalized URL so we must take this patch.
Comment 4 WebKit Commit Bot 2018-06-20 03:56:55 PDT
Comment on attachment 343142 [details]
Patch

Clearing flags on attachment: 343142

Committed r233008: <https://trac.webkit.org/changeset/233008>
Comment 5 WebKit Commit Bot 2018-06-20 03:56:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2018-06-20 03:57:18 PDT
<rdar://problem/41283884>
Comment 7 Michael Catanzaro 2018-06-22 07:33:14 PDT
Thanks for this fix. Please remember to CC bugs-noreply@webkitgtk.org so that we all see the bug! It's done automatically if you select the 'WebKit Gtk' or 'WebKit WPE' Bugzilla components, but when you pick other components it has to be done manually.
Comment 8 Rob Buis 2018-06-22 07:56:56 PDT
Will do! May be even better if it was done automatically given the [GTK] prefix.
Comment 9 Michael Catanzaro 2018-06-22 08:01:11 PDT
Bugzilla is not smart enough for that, I'm afraid....
Comment 10 Rob Buis 2018-07-01 12:44:50 PDT
Reopening to attach new patch.
Comment 11 Rob Buis 2018-07-01 12:44:52 PDT
Created attachment 344059 [details]
Patch
Comment 12 Michael Catanzaro 2018-07-01 13:32:19 PDT
Comment on attachment 344059 [details]
Patch

Sigh, we really need to improve our gardening so that we can get a handle on these issues.  No doubt the test started failing immediately after I introduced this bug, but probably nobody has checked the API tests on the debug bot ever since.
Comment 13 Build Bot 2018-07-01 15:59:07 PDT
Comment on attachment 344059 [details]
Patch

Attachment 344059 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8406605

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-audio.html
Comment 14 Build Bot 2018-07-01 15:59:18 PDT
Created attachment 344063 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 15 WebKit Commit Bot 2018-07-02 00:49:35 PDT
Comment on attachment 344059 [details]
Patch

Clearing flags on attachment: 344059

Committed r233416: <https://trac.webkit.org/changeset/233416>
Comment 16 WebKit Commit Bot 2018-07-02 00:49:37 PDT
All reviewed patches have been landed.  Closing bug.